# $Revision: 1.5 $, $Date: 2009/05/11 18:49:53 $
%define		package	bwidget
Summary:	Extended widget set for Tk
Name:		tcl-%{package}
Version:	1.8.0
Release:	1
License:	TCL
Group:		Development/Libraries
URL:		http://tcllib.sourceforge.net/
Source0:	http://dl.sourceforge.net/tcllib/BWidget-%{version}.tar.bz2
# Source0-md5:	5d2433c5fd93ab7f906f4c7ab225b0d8
BuildRequires:	rpmbuild(macros) >= 1.517
BuildRequires:	tcl >= 8.4
Requires:	tcl >= %{tcl_version}
Requires:	tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extended widget set for Tcl/Tk.

%prep
%setup -q -n BWidget-%{version}
%{__sed} -i 's/\r//' LICENSE.txt

%install
rm -rf $RPM_BUILD_ROOT
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
install -d $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}
mkdir $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/lang
mkdir $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/images

cp -a *.tcl $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}
cp -a lang/*.rc $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/lang
cp -a images/*.gif images/*.xbm $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/images

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%doc BWman/*.html
%dir %{tcl_sitelib}/%{package}%{version}
%{tcl_sitelib}/%{package}%{version}/*.tcl
%{tcl_sitelib}/%{package}%{version}/images
%dir %{tcl_sitelib}/%{package}%{version}/lang
%{tcl_sitelib}/%{package}%{version}/lang/en.rc
%lang(da) %{tcl_sitelib}/%{package}%{version}/lang/da.rc
%lang(de) %{tcl_sitelib}/%{package}%{version}/lang/de.rc
%lang(es) %{tcl_sitelib}/%{package}%{version}/lang/es.rc
%lang(fr) %{tcl_sitelib}/%{package}%{version}/lang/fr.rc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcl-bwidget.spec,v $
Revision 1.5  2009/05/11 18:49:53  glen
- use system tcl macros; rel 1

Revision 1.4  2009/05/11 18:28:01  glen
- install to datadir

Revision 1.3  2009/05/11 16:53:49  glen
- no %{_datadir} in our tcl

Revision 1.2  2009/05/11 16:33:52  glen
- need tcl macros early

Revision 1.1  2009/05/11 16:32:26  glen
- new, based on fc spec
